comedi_dio_config
Prev | 5.4.4. Digital I/O | Next

## Name

comedi_dio_config — change input/output properties of channel

## Synopsis

    #include <comedilib.h>

`int comedi_dio_config(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int direction`)`;

## Description

The function `comedi_dio_config` configures individual channels in a digital I/O subdevice to be either input or output, depending on the value of `direction`. Valid directions are `COMEDI_INPUT` or `COMEDI_OUTPUT`.

Depending on the characteristics of the hardware device, multiple channels might be grouped together in hardware when configuring the input/output direction. In this case, a single call to `comedi_dio_config` for any channel in the group will affect the entire group.

## Return value

If successful, `0` is returned, otherwise `-1`.

Prev | Up | Next
comedi_dio_bitfield2 | Home | comedi_dio_get_config